import '../../../utils/index.mjs';
import { defineComponent } from 'vue';
import { clipboardProps } from './type.mjs';
import { ElMessage } from 'element-plus';
import { copyText } from '../../../utils/tools.mjs';

var _sfc_main = defineComponent({
  name: "BcClipboard",
  props: clipboardProps,
  setup(props) {
    function handleClick() {
      let text = "";
      if (props.text) {
        text = props.text;
      } else {
        if (!props.dom) {
          console.warn("\u975E\u6CD5\u9009\u62E9\u5668");
          return;
        }
        const contentDom = document.body.querySelector(props.dom);
        text = (contentDom == null ? void 0 : contentDom.textContent) || (contentDom == null ? void 0 : contentDom.value);
      }
      copyText(text).then(() => {
        var _a;
        (_a = props.success) == null ? void 0 : _a.call(props);
        ElMessage.success(props.message);
      }).catch((err) => {
        console.error(err);
      });
    }
    return {
      handleClick
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=clipboard.vue_vue_type_script_lang.mjs.map
