import type { ApiResponseType } from '@sepveneto/basic-comp/es/components/type';
import type { ExtractPropTypes, InjectionKey, PropType, Ref } from 'vue';
export interface ConfigProviderSearchProps {
    export?: boolean;
}
export interface ConfigProviderTableProps {
    arrayName?: string;
    totalName?: string;
}
export interface ConfigProviderSelectProps {
    label?: string;
    value?: string;
    arrayName?: string;
    apis?: Record<string, () => Promise<ApiResponseType>>;
}
export interface ConfigProviderPaginationProps {
    pageName?: string;
    pageSizeName?: string;
}
export interface ConfigProviderDatePicker {
    valueFormat?: string;
}
export declare const configProviderProps: {
    pagination: {
        type: PropType<ConfigProviderPaginationProps>;
    };
    table: {
        type: PropType<ConfigProviderTableProps>;
    };
    search: {
        type: PropType<ConfigProviderSearchProps>;
    };
    select: {
        type: PropType<ConfigProviderSelectProps>;
    };
    response: {
        type: PropType<{
            code?: string | undefined;
            msg?: string | undefined;
            data?: string | undefined;
        }>;
    };
    datePicker: {
        type: PropType<ConfigProviderDatePicker>;
        default: () => ConfigProviderDatePicker;
    };
};
export type ConfigProviderProps = Partial<ExtractPropTypes<typeof configProviderProps>>;
export declare const configProviderContextKey: InjectionKey<Ref<ConfigProviderProps>>;
