import { defineComponent, useAttrs, computed, openBlock, createBlock, unref, normalizeProps, guardReactiveProps, withCtx, renderSlot } from 'vue';
import { ElFormItem } from 'element-plus';
import { formItemProps } from './formItem.mjs';

var _sfc_main = /* @__PURE__ */ defineComponent({
  ...{
    name: "BcFormItem"
  },
  __name: "formItem",
  props: formItemProps,
  setup(__props) {
    const props = __props;
    const rawAttrs = useAttrs();
    const message = computed(() => {
      if (typeof props.required === "string") {
        return props.required;
      }
      const { label, prop } = rawAttrs;
      return `${label || prop}\u662F\u5FC5\u586B\u9879`;
    });
    const rules = computed(() => {
      if (props.required) {
        return { required: true, message: message.value };
      }
      return void 0;
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ElFormItem), normalizeProps(guardReactiveProps({
        ..._ctx.$attrs,
        rules: rules.value
      })), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=formItem.vue_vue_type_script_setup_true_lang.mjs.map
