import { defineComponent } from 'vue';
import { svgIconProps, svgIconEmits } from './type.mjs';

var _sfc_main = defineComponent({
  name: "SvgIcon",
  props: svgIconProps,
  emits: svgIconEmits,
  computed: {
    isIconFont() {
      return this.icon && this.icon.includes("iconfont");
    },
    svgClass() {
      const { className } = this;
      return className ? `svg-icon ${className}` : "svg-icon";
    },
    iconName() {
      const { icon } = this;
      const splitList = icon.split("-");
      const splitDict = icon.split("/");
      if (splitList && splitList.length !== 1) {
        return `#icon-${splitList[1]}`;
      } else if (splitDict && splitDict.length !== 1) {
        const [dict, name] = splitDict;
        const parseName = name && name.toLowerCase();
        return `#icon-${dict}${parseName.replace(/\S/, (val) => val.toUpperCase())}`;
      }
      return `#icon-${icon}`;
    }
  }
});

export { _sfc_main as default };
//# sourceMappingURL=svgIcon.vue_vue_type_script_lang.mjs.map
