import { defineComponent, ref, computed } from 'vue';
import { uploadProps } from './type.mjs';
import { Plus } from '@element-plus/icons-vue';
import '../../index.mjs';
import { BcDialog } from '../../dialog/index.mjs';

var _sfc_main = defineComponent({
  name: "BcUpload",
  components: {
    BcDialog,
    IconPlus: Plus
  },
  props: uploadProps,
  emits: ["update:modelValue", "success", "error"],
  setup(props, context) {
    const uploading = ref(false);
    const uploadRef = ref();
    const dialogVisible = computed({
      get() {
        return props.modelValue;
      },
      set(visible) {
        context.emit("update:modelValue", visible);
      }
    });
    function uploadFile(options) {
      var _a;
      uploading.value = true;
      const upload = uploadRef.value;
      const form = new FormData();
      let callbackData;
      switch (props.callbackType) {
        case "file":
          callbackData = options.file;
          break;
        case "raw":
          callbackData = options;
          break;
        default:
          form.append("file", options.file);
          callbackData = form;
      }
      (_a = props.uploadApi) == null ? void 0 : _a.call(props, callbackData).then(() => {
        uploading.value = false;
        context.emit("success");
        context.emit("update:modelValue", false);
      }).catch(() => {
        uploading.value = false;
        context.emit("error");
      }).finally(() => {
        upload.clearFiles();
      });
    }
    function handleDownloadTemplate() {
      var _a;
      (_a = props.templateApi) == null ? void 0 : _a.call(props);
    }
    return {
      dialogVisible,
      uploading,
      uploadRef,
      uploadFile,
      handleDownloadTemplate
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=upload.vue_vue_type_script_lang.mjs.map
