'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('../../../utils/index.js');
var vue = require('vue');
var type = require('./type.js');
var elementPlus = require('element-plus');
var tools = require('../../../utils/tools.js');

var _sfc_main = vue.defineComponent({
  name: "BcClipboard",
  props: type.clipboardProps,
  setup(props) {
    function handleClick() {
      let text = "";
      if (props.text) {
        text = props.text;
      } else {
        if (!props.dom) {
          console.warn("\u975E\u6CD5\u9009\u62E9\u5668");
          return;
        }
        const contentDom = document.body.querySelector(props.dom);
        text = (contentDom == null ? void 0 : contentDom.textContent) || (contentDom == null ? void 0 : contentDom.value);
      }
      tools.copyText(text).then(() => {
        var _a;
        (_a = props.success) == null ? void 0 : _a.call(props);
        elementPlus.ElMessage.success(props.message);
      }).catch((err) => {
        console.error(err);
      });
    }
    return {
      handleClick
    };
  }
});

exports["default"] = _sfc_main;
//# sourceMappingURL=clipboard.vue_vue_type_script_lang.js.map
