'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../hooks/index.js');
var elementPlus = require('element-plus');
var useConfigInject = require('../../../hooks/useConfigInject.js');

var DatePicker = vue.defineComponent({
  name: "BcDatePicker",
  components: {
    ElDatePicker: elementPlus.ElDatePicker
  },
  props: {
    width: {
      type: [String, Number],
      default: void 0
    },
    dayEnd: Boolean
  },
  setup(props, {
    attrs
  }) {
    const datePickerInject = useConfigInject.useConfigInject("datePicker");
    const valueFormat = vue.computed(() => {
      var _a;
      return ((_a = datePickerInject.value) == null ? void 0 : _a.valueFormat) || attrs.valueFormat;
    });
    const realWidth = vue.computed(() => {
      if (typeof props.width === "string") {
        return props.width;
      } else {
        return `${props.width}px`;
      }
    });
    const type = vue.computed(() => attrs.type);
    const timeRange = ["1111-11-11 00:00:00", "1111-11-11 23:59:59"];
    const rangeDefaultConfig = {
      startPlaceholder: "\u5F00\u59CB\u65F6\u95F4",
      endPlaceholder: "\u7ED3\u675F\u65F6\u95F4",
      rangeSeparator: "\u81F3",
      defaultTime: props.dayEnd && type.value === "datetimerange" ? timeRange : null
    };
    return {
      realWidth,
      rangeDefaultConfig,
      type,
      timeRange,
      valueFormat
    };
  },
  render() {
    var _a;
    return vue.createVNode(vue.resolveComponent("el-date-picker"), vue.mergeProps({
      "value-format": this.valueFormat,
      "style": {
        width: this.realWidth
      }
    }, {
      ...((_a = this.type) == null ? void 0 : _a.includes("range")) ? this.rangeDefaultConfig : {},
      ...this.$attrs
    }), null);
  }
});

exports["default"] = DatePicker;
//# sourceMappingURL=date-picker.js.map
