'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var dialog = require('./dialog.js');
var index = require('../../../utils/index.js');

const createDialog = function(component, props = {}) {
  const compRef = vue.shallowRef();
  const vm = vue.createVNode(component, {
    ...props,
    onVnodeMounted: (vnode) => {
      var _a;
      compRef.value = (_a = vnode.component) == null ? void 0 : _a.exposed;
    }
  });
  const appendTo = document.body;
  const container = document.createElement("div");
  let dialog$1;
  function open(props2, confirmFn, cancelFn) {
    dialog$1 = vue.createVNode(dialog["default"], {
      ...props2,
      onSubmit,
      onCancel
    }, { default: () => vm });
    dialog$1.props.onClosed = () => {
      vue.render(null, container);
    };
    if (createDialog._context) {
      dialog$1.appContext = createDialog._context;
    } else {
      index.logWarn("[Dialog] \u547D\u4EE4\u5F0F\u4F7F\u7528\u7F3A\u5C11\u4E0A\u4E0B\u6587\uFF0C\u5168\u5C40\u6CE8\u518C\u7684\u7EC4\u4EF6\u5C06\u65E0\u6CD5\u6E32\u67D3");
    }
    vue.render(dialog$1, container);
    appendTo.appendChild(container.firstElementChild);
    dialog$1.component.exposed.open();
    return compRef;
    function onSubmit() {
      var _a;
      const res = confirmFn == null ? void 0 : confirmFn((_a = vm.component) == null ? void 0 : _a.exposed);
      if (res instanceof Promise) {
        dialog$1.component.exposed.setLoading(true);
        res.finally(() => {
          dialog$1.component.exposed.setLoading(false);
        });
      } else {
        dialog$1.component.exposed.setLoading(false);
      }
    }
    function onCancel() {
      cancelFn == null ? void 0 : cancelFn();
    }
  }
  function close() {
    if (!dialog$1)
      return;
    dialog$1.component.exposed.close();
  }
  return {
    open,
    close
  };
};

exports.createDialog = createDialog;
//# sourceMappingURL=createDialog.js.map
