'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var elementPlus = require('element-plus');
var formItem = require('./formItem.js');

var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  ...{
    name: "BcFormItem"
  },
  __name: "formItem",
  props: formItem.formItemProps,
  setup(__props) {
    const props = __props;
    const rawAttrs = vue.useAttrs();
    const message = vue.computed(() => {
      if (typeof props.required === "string") {
        return props.required;
      }
      const { label, prop } = rawAttrs;
      return `${label || prop}\u662F\u5FC5\u586B\u9879`;
    });
    const rules = vue.computed(() => {
      if (props.required) {
        return { required: true, message: message.value };
      }
      return void 0;
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(elementPlus.ElFormItem), vue.normalizeProps(vue.guardReactiveProps({
        ..._ctx.$attrs,
        rules: rules.value
      })), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

exports["default"] = _sfc_main;
//# sourceMappingURL=formItem.vue_vue_type_script_setup_true_lang.js.map
