'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var type = require('./type.js');

var _sfc_main = vue.defineComponent({
  name: "SvgIcon",
  props: type.svgIconProps,
  emits: type.svgIconEmits,
  computed: {
    isIconFont() {
      return this.icon && this.icon.includes("iconfont");
    },
    svgClass() {
      const { className } = this;
      return className ? `svg-icon ${className}` : "svg-icon";
    },
    iconName() {
      const { icon } = this;
      const splitList = icon.split("-");
      const splitDict = icon.split("/");
      if (splitList && splitList.length !== 1) {
        return `#icon-${splitList[1]}`;
      } else if (splitDict && splitDict.length !== 1) {
        const [dict, name] = splitDict;
        const parseName = name && name.toLowerCase();
        return `#icon-${dict}${parseName.replace(/\S/, (val) => val.toUpperCase())}`;
      }
      return `#icon-${icon}`;
    }
  }
});

exports["default"] = _sfc_main;
//# sourceMappingURL=svgIcon.vue_vue_type_script_lang.js.map
