import type { ExtractPropTypes, PropType } from 'vue';
import type { UploadRequestOptions } from 'element-plus';
export type UploadCallbackType = File | UploadRequestOptions | FormData;
type UploadApiFn<T extends UploadCallbackType> = (data: T) => Promise<any>;
type UploadApi = UploadApiFn<File> | UploadApiFn<UploadRequestOptions> | UploadApiFn<FormData>;
export declare const uploadProps: {
    /**
     * 是否展示
     */
    modelValue: BooleanConstructor;
    /**
     * 调用模板的下载接口
     */
    templateApi: PropType<() => void>;
    /**
     * 调用文件的上传接口
     */
    uploadApi: PropType<UploadApi>;
    callbackType: {
        type: StringConstructor;
        default: string;
    };
    drag: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export type UploadProps = ExtractPropTypes<typeof uploadProps>;
export {};
