'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var type = require('./type.js');
var iconsVue = require('@element-plus/icons-vue');
require('../../index.js');
var index = require('../../dialog/index.js');

var _sfc_main = vue.defineComponent({
  name: "BcUpload",
  components: {
    BcDialog: index.BcDialog,
    IconPlus: iconsVue.Plus
  },
  props: type.uploadProps,
  emits: ["update:modelValue", "success", "error"],
  setup(props, context) {
    const uploading = vue.ref(false);
    const uploadRef = vue.ref();
    const dialogVisible = vue.computed({
      get() {
        return props.modelValue;
      },
      set(visible) {
        context.emit("update:modelValue", visible);
      }
    });
    function uploadFile(options) {
      var _a;
      uploading.value = true;
      const upload = uploadRef.value;
      const form = new FormData();
      let callbackData;
      switch (props.callbackType) {
        case "file":
          callbackData = options.file;
          break;
        case "raw":
          callbackData = options;
          break;
        default:
          form.append("file", options.file);
          callbackData = form;
      }
      (_a = props.uploadApi) == null ? void 0 : _a.call(props, callbackData).then(() => {
        uploading.value = false;
        context.emit("success");
        context.emit("update:modelValue", false);
      }).catch(() => {
        uploading.value = false;
        context.emit("error");
      }).finally(() => {
        upload.clearFiles();
      });
    }
    function handleDownloadTemplate() {
      var _a;
      (_a = props.templateApi) == null ? void 0 : _a.call(props);
    }
    return {
      dialogVisible,
      uploading,
      uploadRef,
      uploadFile,
      handleDownloadTemplate
    };
  }
});

exports["default"] = _sfc_main;
//# sourceMappingURL=upload.vue_vue_type_script_lang.js.map
