'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tools = require('./tools.js');
var renderUnit = require('./renderUnit.js');

function compInstall(comp) {
  comp.install = (app) => {
    const _comp = comp;
    app.component(_comp.name, _comp);
  };
  return comp;
}
function fnInstall(fn) {
  fn.install = (app) => {
    fn._context = app._context;
  };
  return fn;
}
function logWarn(msg) {
  if (process.env.NODE_ENV !== "production") {
    console.warn(msg);
  }
}

exports.copyText = tools.copyText;
exports.extractObject = tools.extractObject;
exports.getValue = tools.getValue;
exports.setValue = tools.setValue;
exports.toCamel = tools.toCamel;
exports.renderUnit = renderUnit.renderUnit;
exports.compInstall = compInstall;
exports.fnInstall = fnInstall;
exports.logWarn = logWarn;
//# sourceMappingURL=index.js.map
