'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../components/index.js');
require('./index.js');
var tools = require('./tools.js');
var index = require('../components/input/index.js');
var index$1 = require('../components/select/index.js');
var index$2 = require('../components/date-picker/index.js');

function updateData(params, prop, val, context) {
  if (context == null ? void 0 : context.updateData) {
    context.updateData(prop, val);
  } else {
    tools.setValue(params, prop, val);
  }
}
function handleSearch(context) {
  if (context == null ? void 0 : context.handleSearch) {
    context.handleSearch();
  }
}
const renderUnit = (h, value, config, context) => {
  var _a;
  const {
    catalog,
    prop,
    name,
    options,
    ...params
  } = config;
  const modelValue = tools.getValue(value, prop);
  if (catalog === "input") {
    return vue.createVNode(index.BcInput, vue.mergeProps({
      "model-value": modelValue
    }, {
      placeholder: (context == null ? void 0 : context.nameMode) === "placeholder" ? name : params.placeholder,
      "onUpdate:modelValue": (val) => updateData(value, prop, val, context),
      onKeyup: (e) => e.code === "Enter" && handleSearch(context)
    }, params), null);
  } else if (catalog === "select") {
    return vue.createVNode(index$1.BcSelect, vue.mergeProps({
      "model-value": modelValue
    }, {
      "onUpdate:modelValue": (val) => updateData(value, prop, val, context),
      onChange: () => handleSearch(context),
      placeholder: (context == null ? void 0 : context.nameMode) === "placeholder" ? name : params.placeholder
    }, {
      "options": options
    }, params), null);
  } else if (catalog === "datepicker") {
    return vue.createVNode(index$2.BcDatePicker, vue.mergeProps({
      "model-value": modelValue
    }, {
      startPlaceholder: "\u5F00\u59CB\u65E5\u671F",
      endPlaceholder: "\u7ED3\u675F\u65E5\u671F",
      rangeSeparator: "\u81F3",
      ...params,
      "onUpdate:modelValue": (val) => updateData(value, prop, val, context),
      onChange: () => handleSearch(context)
    }, params), null);
  } else {
    return (_a = context == null ? void 0 : context.context) == null ? void 0 : _a.slots[config.prop];
  }
};

exports.renderUnit = renderUnit;
//# sourceMappingURL=renderUnit.js.map
